Package com.independentsoft.email.mime

# Class ContentType

java.lang.Object
com.independentsoft.email.mime.ContentType

public class ContentType extends Object
Class ContentType.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentType()`
  Initializes a new instance of the ContentType class.
  `ContentType​(String contentType)`
  Initializes a new instance of the ContentType class.
  `ContentType​(String type, String subtype)`
  Initializes a new instance of the ContentType class.
  `ContentType​(String type, String subtype, String charset)`
  Initializes a new instance of the ContentType class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharSet()`
  Gets the character set.
  `ParameterList`
  `getParameters()`
  Gets the parameters.
  `String`
  `getSubType()`
  Gets the subtype.
  `String`
  `getType()`
  Gets the type.
  `void`
  `setCharSet​(String value)`
  Sets the character set.
  `void`
  `setSubType​(String subtype)`
  Sets the subtype.
  `void`
  `setType​(String type)`
  Sets the type.
  `String`
  `toString()`
  Returns a String that represents this instance.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContentType

    public ContentType()
    Initializes a new instance of the ContentType class.

  - ### ContentType

    public ContentType​(String type, String subtype)
    Initializes a new instance of the ContentType class.
    Parameters:
      `type` - The type.
      `subtype` - The subtype.

  - ### ContentType

    public ContentType​(String type, String subtype, String charset)
    Initializes a new instance of the ContentType class.
    Parameters:
      `type` - The type.
      `subtype` - The subtype.
      `charset` - The charset.

  - ### ContentType

    public ContentType​(String contentType)
    Initializes a new instance of the ContentType class.
    Parameters:
      `contentType` - Type of the content.

- ## Method Details

  - ### toString

    public String toString()
    Returns a String that represents this instance.
    Overrides:
      `toString` in class `Object`
    Returns:
      A String that represents this instance.

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      The type.

  - ### setType

    public void setType​(String type)
    Sets the type.
    Parameters:
      `type` - The type.

  - ### getSubType

    public String getSubType()
    Gets the subtype.
    Returns:
      The subtype.

  - ### setSubType

    public void setSubType​(String subtype)
    Sets the subtype.
    Parameters:
      `subtype` - The subtype.

  - ### getCharSet

    public String getCharSet()
    Gets the character set.
    Returns:
      The character set.

  - ### setCharSet

    public void setCharSet​(String value)
    Sets the character set.
    Parameters:
      `value` - The character set.

  - ### getParameters

    public ParameterList getParameters()
    Gets the parameters.
    Returns:
      The parameters.